# Screening log details

| **API URL**     | {{url}}/spice-service/screeninglog/details |
| --------------- | ------------------------------------------ |
| **Method**      | POST                                       |
| **Description** | Screening log details                      |

#### **Input:** <a href="#screeninglogdetails-input" id="screeninglogdetails-input"></a>

| **Field Name**        | **Type** | **Mandatory** | **Example**                                                                                                                                     |
| --------------------- | -------- | ------------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization(Header) | String   | Yes           | Bearer eyJlbmMiOiJBMTI4R0NNIiwiYWxnIjoiUlNBLU9BRVAtMjU2In0.MCm0mJDfpfjlr10Uok79-kTF7fv9Tn7cI5m2WsRDGUd9VS7iRmfbszjuc1-w5D-PYt9CdVxRMGBQlzYauhnI |

#### **Sample Input:** <a href="#screeninglogdetails-sampleinput" id="screeninglogdetails-sampleinput"></a>

{ "isAssessmentDataRequired": true, "patientTrackId": 12, "screeningId": 15 }

#### **Output:** <a href="#screeninglogdetails-output" id="screeninglogdetails-output"></a>

| **Field Name**                  | **Type**         | **Comments**                 |
| ------------------------------- | ---------------- | ---------------------------- |
| `FirstName`                     | String           | tenant Id                    |
| `LastName`                      | String           | Patient first name           |
| `tenantId`                      | Bigint           | Patient tenant id            |
| `PhoneNumber`                   | String           | Patient middle name          |
| `NationalId`                    | String           | Patient last name            |
| `PhoneNumberCategory`           | String           | Patient national ID          |
| `Gender`                        | String           | Patient phone number         |
| `DateOfBirth`                   | Time stamp       | phone number category        |
| `Age`                           | BigInt           | Patient age                  |
| `Height`                        | Double precision | Patient height               |
| `Weight`                        | Double precision | Patient weight               |
| `isRegularSmoker`               | Boolean          | Is regular smoker            |
| `isBeforeHtnDiagnosis`          | Boolean          | Is before Htn diagnosis      |
| `Systolic`                      | Integer          | Systolic                     |
| `Diastolic`                     | Integer          | Diastolic                    |
| `Pulse`                         | Integer          | Pulse                        |
| `isBeforeDiabetesDiagnosis`     | Boolean          | Is before diabetes diagnosis |
| `glucoseUnit`                   | String           | Glucose unit                 |
| `glucose`                       | Integer          | Glucose value                |
| `lastMealTime`                  | Timestamp        | last meal time               |
| `Mental Health Questions(PHQ4)` | Integer          | Mental health questions      |
| `cvdRiskLevel`                  | String           | CVD risk level               |
| `cvdRiskScore`                  | Integer          | CVD risk score               |
| `isReferAssessment`             | Boolean          | Is referred for assessment   |
| `isLatest`                      | Boolean          | Is latest                    |
| `siteId`                        | Bigint           | Site id                      |
| `operatingUnitId`               | Bigint           | Operating unit id            |
| `accountId`                     | Bigint           | Account id                   |
| `deviceInfoId`                  | Bigint           | Device information id        |
| `bpLogId`                       | Bigint           | Bp log id                    |
| `updatedFromEnrollment`         | Boolean          | Updated from enrollment      |
| `type`                          | String           | Patient screening type       |

#### **Sample Output:** <a href="#screeninglogdetails-sampleoutput" id="screeninglogdetails-sampleoutput"></a>

```
{
    "entity": {
        "tenantId": 8,
        "latitude": "0.0",
        "longitude": "0.0",
        "firstName": "PARTHA",
        "middleName": null,
        "lastName": "E",
        "nationalId": "PARTE65432",
        "phoneNumber": "198765432",
        "phoneNumberCategory": "Personal",
        "landmark": null,
        "gender": "Male",
        "dateOfBirth": "2000-05-26T00:00:00+05:30",
        "age": 23,
        "height": 182,
        "weight": 77,
        "bmi": 23.25,
        "isRegularSmoker": false,
        "countryId": 1,
        "countyId": 1,
        "subCountyId": 2,
        "category": "Facility",
        "avgSystolic": 88,
        "avgDiastolic": 88,
        "avgPulse": null,
        "glucoseType": null,
        "glucoseValue": null,
        "glucoseUnit": null,
        "lastMealTime": null,
        "glucoseDateTime": null,
        "isBeforeDiabeticDiagnosis": null,
        "phq4score": 8,
        "phq4RiskLevel": "Moderate",
        "cvdRiskLevel": "Low risk",
        "cvdRiskScore": 2,
        "isReferAssessment": true,
        "isLatest": true,
        "isBeforeHtnDiagnosis": false,
        "siteId": 3,
        "operatingUnitId": 1,
        "accountId": 1,
        "bpArm": null,
        "bpPosition": null,
        "physicallyActive": null,
        "type": "Outpatient",
        "deviceInfoId": 14,
        "phq4MentalHealth": [
            {
                "questionId": 6,
                "answerId": 67,
                "displayOrder": 4,
                "score": 3
            },
            {
                "questionId": 13,
                "answerId": 23,
                "displayOrder": 1,
                "score": 1
            },
            {
                "questionId": 9,
                "answerId": -1,
                "displayOrder": 3,
                "score": 2
            },
            {
                "questionId": 17,
                "answerId": 63,
                "displayOrder": 2,
                "score": 2
            }
        ],
        "idType": null,
        "insuranceStatus": null,
        "covidVaccStatus": null,
        "cvdRiskScoreDisplay": null,
        "preferredName": null,
        "bpLogDetails": [
            {
                "systolic": 88,
                "diastolic": 88,
                "pulse": 88
            },
            {
                "systolic": 88,
                "diastolic": 88,
                "pulse": 88
            }
        ],
        "glucoseLog": null,
        "bpLogId": 47,
        "diagnosis": null,
        "beforeGestationalDiabetes": false,
        "updatedFromEnrollment": false,
        "familyDiabetesHistory": false
    },
    "status": true,
    "entityList": null,
    "responseCode": 200,
    "totalCount": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/versions/spice-1.0/engineering/api-documentation/spice-services/screening-log-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
